<?
include_once '../../core/system.php';
echo only_reg();
echo ban();
$header = 'Задать вопрос';
include_once '../../core/head.php';
switch($act) {
case 'post':
if(isset($_POST['name']) && isset($_POST['msg'])) {
$name = check($_POST['name']);
$msg = check($_POST['msg']);
if(strlen($name) < 3 or strlen($name) > 40) $err =  'Длина названия должна быть в пределах 3 - 40 символов';
if(strlen($msg) < 10 or strlen($msg) > 2000) $err =  'Длина сообщения должна быть в пределах 10 - 2000 символов';

if(!isset($err)) {
mysql_query("INSERT INTO `tex_mess` SET `name` = '$name', `msg` = '$msg',`time` = '".time()."', `id_user` = '".$user[id]."'");
header("Location: /common/ticet/index.php");
$_SESSION['message'] = 'Запрос в техподдержку отправлен!';
exit();
}else{
header("Location: /common/ticet/new.php");
$_SESSION['err'] = $err;
exit();
}
}
break;
default;
echo '<font color=orange>Центр-Поддержки имеет право без ответа закрыть обращения в которых просят админку золото и так далее. Максимальное время ожидания ответа 24 часа.</font><br/><p>
<form class="player" method="post" action="?act=post">
Тема сообщения<br /><input class="text large" type="text" name="name" /><br />
Введите сообщение<br /><textarea name="msg" class = "text large" rows="4" cols="55"></textarea>
<span class="btn"><span class="end"><input class="label" type="submit" value="Создать">Создать</span></span>
</form>';
}
include_once '../../core/foot.php';
?>